Package org.apache.sling.commons.json.xml

# Class XML

java.lang.Object
org.apache.sling.commons.json.xml.XML

@Deprecated public class XML extends Object
Deprecated.
This provides static methods to convert an XML text into a JSONObject, and to covert a JSONObject into an XML text.

Version:
  2016-08-10
Author:
  JSON.org

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Character`
`AMP`
Deprecated.
The Character '&'.
`static final Character`
`APOS`
Deprecated.
The Character '''.
`static final Character`
`BANG`
Deprecated.
The Character '!'.
`static final Character`
`EQ`
Deprecated.
The Character '='.
`static final Character`
`GT`
Deprecated.
The Character
`static final Character`
`LT`
Deprecated.
The Character '<'.
`static final String`
`NULL_ATTR`
Deprecated.
Null attribute name
`static final Character`
`QUEST`
Deprecated.
The Character '?'.
`static final Character`
`QUOT`
Deprecated.
The Character '"'.
`static final Character`
`SLASH`
Deprecated.
The Character '/'.
`static final String`
`TYPE_ATTR`
Deprecated.
Represents the XML attribute name for specifying type information.

## Constructor Summary

Constructors
Constructor
Description
`XML()`
Deprecated.
Constructs a new XML object.

## Method Summary

Modifier and Type
Method
Description
`static String`
`escape(String string)`
Deprecated.
Replace special characters with XML escapes:
`static void`
`noSpace(String string)`
Deprecated.
Throw an exception if the string contains whitespace.
`static Object`
`stringToValue(String string)`
Deprecated.
This method is the same as `JSONObject.stringToValue(String)`.
`static Object`
`stringToValue(String string, org.apache.sling.commons.json.xml.XMLXsiTypeConverter<?> typeConverter)`
Deprecated.
This method tries to convert the given string value to the target object
`static JSONObject`
`toJSONObject(Reader reader)`
Deprecated.
Convert a well-formed (but not necessarily valid) XML into a JSONObject.
`static JSONObject`
`toJSONObject(Reader reader, boolean keepStrings)`
Deprecated.
Convert a well-formed (but not necessarily valid) XML into a JSONObject.
`static JSONObject`
`toJSONObject(Reader reader, org.apache.sling.commons.json.xml.XMLParserConfiguration config)`
Deprecated.
Convert a well-formed (but not necessarily valid) XML into a JSONObject.
`static JSONObject`
`toJSONObject(String string)`
Deprecated.
Convert a well-formed (but not necessarily valid) XML string into a JSONObject.
`static JSONObject`
`toJSONObject(String string, boolean keepStrings)`
Deprecated.
Convert a well-formed (but not necessarily valid) XML string into a JSONObject.
`static JSONObject`
`toJSONObject(String string, org.apache.sling.commons.json.xml.XMLParserConfiguration config)`
Deprecated.
Convert a well-formed (but not necessarily valid) XML string into a JSONObject.
`static String`
`toString(Object object)`
Deprecated.
Convert a JSONObject into a well-formed, element-normal XML string.
`static String`
`toString(Object object, int indentFactor)`
Deprecated.
Convert a JSONObject into a well-formed, pretty printed element-normal XML string.
`static String`
`toString(Object object, String tagName)`
Deprecated.
Convert a JSONObject into a well-formed, element-normal XML string.
`static String`
`toString(Object object, String tagName, int indentFactor)`
Deprecated.
Convert a JSONObject into a well-formed, pretty printed element-normal XML string.
`static String`
`toString(Object object, String tagName, org.apache.sling.commons.json.xml.XMLParserConfiguration config)`
Deprecated.
Convert a JSONObject into a well-formed, element-normal XML string.
`static String`
`toString(Object object, String tagName, org.apache.sling.commons.json.xml.XMLParserConfiguration config, int indentFactor)`
Deprecated.
Convert a JSONObject into a well-formed, pretty printed element-normal XML string.
`static String`
`unescape(String string)`
Deprecated.
Removes XML escapes from the string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### AMP

public static final Character AMP
Deprecated.
The Character '&'.

### APOS

public static final Character APOS
Deprecated.
The Character '''.

### BANG

public static final Character BANG
Deprecated.
The Character '!'.

### EQ

public static final Character EQ
Deprecated.
The Character '='.

### GT

public static final Character GT
Deprecated.
The Character

    '>'.

### LT

public static final Character LT
Deprecated.
The Character '<'.

### QUEST

public static final Character QUEST
Deprecated.
The Character '?'.

### QUOT

public static final Character QUOT
Deprecated.
The Character '"'.

### SLASH

public static final Character SLASH
Deprecated.
The Character '/'.

### NULL_ATTR

public static final String NULL_ATTR
Deprecated.
Null attribute name

See Also:
  - Constant Field Values

### TYPE_ATTR

public static final String TYPE_ATTR
Deprecated.
Represents the XML attribute name for specifying type information.

See Also:
  - Constant Field Values

## Constructor Details

### XML

public XML()
Deprecated.
Constructs a new XML object.

## Method Details

### escape

public static String escape(String string)
Deprecated.
Replace special characters with XML escapes:

     &amp; (ampersand) is replaced by &amp;amp;
     &lt; (less than) is replaced by &amp;lt;
     &gt; (greater than) is replaced by &amp;gt;
     &quot; (double quote) is replaced by &amp;quot;
     &apos; (single quote / apostrophe) is replaced by &amp;apos;

Parameters:
  `string` - The string to be escaped.
Returns:
  The escaped string.

### unescape

public static String unescape(String string)
Deprecated.
Removes XML escapes from the string.

Parameters:
  `string` - string to remove escapes from
Returns:
  string with converted entities

### noSpace

public static void noSpace(String string) throws JSONException
Deprecated.
Throw an exception if the string contains whitespace. Whitespace is not allowed in tagNames and attributes.

Parameters:
  `string` - A string.
Throws:
  `JSONException` - Thrown if the string contains whitespace or is empty.

### stringToValue

public static Object stringToValue(String string, org.apache.sling.commons.json.xml.XMLXsiTypeConverter<?> typeConverter)
Deprecated.
This method tries to convert the given string value to the target object

Parameters:
  `string` - String to convert
  `typeConverter` - value converter to convert string to integer, boolean e.t.c
Returns:
  JSON value of this string or the string

### stringToValue

public static Object stringToValue(String string)
Deprecated.
This method is the same as `JSONObject.stringToValue(String)`.

Parameters:
  `string` - String to convert
Returns:
  JSON value of this string or the string

### toJSONObject

public static JSONObject toJSONObject(String string) throws JSONException
Deprecated.
Convert a well-formed (but not necessarily valid) XML string into a JSONObject. Some information may be lost in this transformation because JSON is a data format and XML is a document format. XML uses elements, attributes, and content text, while JSON uses unordered collections of name/value pairs and arrays of values. JSON does not does not like to distinguish between elements and attributes. Sequences of similar elements are represented as JSONArrays. Content text may be placed in a "content" member. Comments, prologs, DTDs, and

     &lt;[ [ ]]>

are ignored.

Parameters:
  `string` - The source string.
Returns:
  A JSONObject containing the structured data from the XML string.
Throws:
  `JSONException` - Thrown if there is an errors while parsing the string

### toJSONObject

public static JSONObject toJSONObject(Reader reader) throws JSONException
Deprecated.
Convert a well-formed (but not necessarily valid) XML into a JSONObject. Some information may be lost in this transformation because JSON is a data format and XML is a document format. XML uses elements, attributes, and content text, while JSON uses unordered collections of name/value pairs and arrays of values. JSON does not does not like to distinguish between elements and attributes. Sequences of similar elements are represented as JSONArrays. Content text may be placed in a "content" member. Comments, prologs, DTDs, and

     &lt;[ [ ]]>

are ignored.

Parameters:
  `reader` - The XML source reader.
Returns:
  A JSONObject containing the structured data from the XML string.
Throws:
  `JSONException` - Thrown if there is an errors while parsing the string

### toJSONObject

public static JSONObject toJSONObject(Reader reader, boolean keepStrings) throws JSONException
Deprecated.
Convert a well-formed (but not necessarily valid) XML into a JSONObject. Some information may be lost in this transformation because JSON is a data format and XML is a document format. XML uses elements, attributes, and content text, while JSON uses unordered collections of name/value pairs and arrays of values. JSON does not does not like to distinguish between elements and attributes. Sequences of similar elements are represented as JSONArrays. Content text may be placed in a "content" member. Comments, prologs, DTDs, and

     &lt;[ [ ]]>

are ignored. All values are converted as strings, for 1, 01, 29.0 will not be coerced to numbers but will instead be the exact value as seen in the XML document.

Parameters:
  `reader` - The XML source reader.
  `keepStrings` - If true, then values will not be coerced into boolean or numeric values and will instead be left as strings
Returns:
  A JSONObject containing the structured data from the XML string.
Throws:
  `JSONException` - Thrown if there is an errors while parsing the string

### toJSONObject

public static JSONObject toJSONObject(Reader reader, org.apache.sling.commons.json.xml.XMLParserConfiguration config) throws JSONException
Deprecated.
Convert a well-formed (but not necessarily valid) XML into a JSONObject. Some information may be lost in this transformation because JSON is a data format and XML is a document format. XML uses elements, attributes, and content text, while JSON uses unordered collections of name/value pairs and arrays of values. JSON does not does not like to distinguish between elements and attributes. Sequences of similar elements are represented as JSONArrays. Content text may be placed in a "content" member. Comments, prologs, DTDs, and

     &lt;[ [ ]]>

are ignored. All values are converted as strings, for 1, 01, 29.0 will not be coerced to numbers but will instead be the exact value as seen in the XML document.

Parameters:
  `reader` - The XML source reader.
  `config` - Configuration options for the parser
Returns:
  A JSONObject containing the structured data from the XML string.
Throws:
  `JSONException` - Thrown if there is an errors while parsing the string

### toJSONObject

public static JSONObject toJSONObject(String string, boolean keepStrings) throws JSONException
Deprecated.
Convert a well-formed (but not necessarily valid) XML string into a JSONObject. Some information may be lost in this transformation because JSON is a data format and XML is a document format. XML uses elements, attributes, and content text, while JSON uses unordered collections of name/value pairs and arrays of values. JSON does not does not like to distinguish between elements and attributes. Sequences of similar elements are represented as JSONArrays. Content text may be placed in a "content" member. Comments, prologs, DTDs, and

     &lt;[ [ ]]>

are ignored. All values are converted as strings, for 1, 01, 29.0 will not be coerced to numbers but will instead be the exact value as seen in the XML document.

Parameters:
  `string` - The source string.
  `keepStrings` - If true, then values will not be coerced into boolean or numeric values and will instead be left as strings
Returns:
  A JSONObject containing the structured data from the XML string.
Throws:
  `JSONException` - Thrown if there is an errors while parsing the string

### toJSONObject

public static JSONObject toJSONObject(String string, org.apache.sling.commons.json.xml.XMLParserConfiguration config) throws JSONException
Deprecated.
Convert a well-formed (but not necessarily valid) XML string into a JSONObject. Some information may be lost in this transformation because JSON is a data format and XML is a document format. XML uses elements, attributes, and content text, while JSON uses unordered collections of name/value pairs and arrays of values. JSON does not does not like to distinguish between elements and attributes. Sequences of similar elements are represented as JSONArrays. Content text may be placed in a "content" member. Comments, prologs, DTDs, and

     &lt;[ [ ]]>

are ignored. All values are converted as strings, for 1, 01, 29.0 will not be coerced to numbers but will instead be the exact value as seen in the XML document.

Parameters:
  `string` - The source string.
  `config` - Configuration options for the parser.
Returns:
  A JSONObject containing the structured data from the XML string.
Throws:
  `JSONException` - Thrown if there is an errors while parsing the string

### toString

public static String toString(Object object) throws JSONException
Deprecated.
Convert a JSONObject into a well-formed, element-normal XML string.

Parameters:
  `object` - A JSONObject.
Returns:
  A string.
Throws:
  `JSONException` - Thrown if there is an error parsing the string

### toString

public static String toString(Object object, String tagName)
Deprecated.
Convert a JSONObject into a well-formed, element-normal XML string.

Parameters:
  `object` - A JSONObject.
  `tagName` - The optional name of the enclosing tag.
Returns:
  A string.
Throws:
  `JSONException` - Thrown if there is an error parsing the string

### toString

public static String toString(Object object, String tagName, org.apache.sling.commons.json.xml.XMLParserConfiguration config) throws JSONException
Deprecated.
Convert a JSONObject into a well-formed, element-normal XML string.

Parameters:
  `object` - A JSONObject.
  `tagName` - The optional name of the enclosing tag.
  `config` - Configuration that can control output to XML.
Returns:
  A string.
Throws:
  `JSONException` - Thrown if there is an error parsing the string

### toString

public static String toString(Object object, int indentFactor)
Deprecated.
Convert a JSONObject into a well-formed, pretty printed element-normal XML string.

Parameters:
  `object` - A JSONObject.
  `indentFactor` - The number of spaces to add to each level of indentation.
Returns:
  A string.
Throws:
  `JSONException` - Thrown if there is an error parsing the string

### toString

public static String toString(Object object, String tagName, int indentFactor)
Deprecated.
Convert a JSONObject into a well-formed, pretty printed element-normal XML string.

Parameters:
  `object` - A JSONObject.
  `tagName` - The optional name of the enclosing tag.
  `indentFactor` - The number of spaces to add to each level of indentation.
Returns:
  A string.
Throws:
  `JSONException` - Thrown if there is an error parsing the string

### toString

public static String toString(Object object, String tagName, org.apache.sling.commons.json.xml.XMLParserConfiguration config, int indentFactor) throws JSONException
Deprecated.
Convert a JSONObject into a well-formed, pretty printed element-normal XML string.

Parameters:
  `object` - A JSONObject.
  `tagName` - The optional name of the enclosing tag.
  `config` - Configuration that can control output to XML.
  `indentFactor` - The number of spaces to add to each level of indentation.
Returns:
  A string.
Throws:
  `JSONException` - Thrown if there is an error parsing the string